Bug 835064 - Review Request: perl-Devel-DProf - Deprecated Perl code profiler
Review Request: perl-Devel-DProf - Deprecated Perl code profiler
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 07:57 EDT by Petr Pisar
Modified: 2012-07-12 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Devel-DProf-20110802.00-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 11:37:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-06-25 07:57:11 EDT
Spec URL: http://ppisar.fedorapeople.org/perl-Devel-DProf/perl-Devel-DProf.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Devel-DProf/perl-Devel-DProf-20110802.00-1.fc18.src.rpm
Description:
The Devel::DProf package is a Perl code profiler. This will collect
information on the execution time of a Perl script and of the subs in that
script. This information can be used to determine which subroutines are
using the most time and which subroutines are being called most often. This
information can also be used to create an execution graph of the script,
showing subroutine relationships.

This module is deprecated and new users are advised to use Devel::NYTProf
instead.


Fedora Account System Username: ppisar

----
This package is intended to provide compatibility to perl 5.16.0 which is aiming F18. It conflicts with perl 5.14 in files location.
Comment 1 Jitka Plesnikova 2012-06-27 10:17:26 EDT
I tried to build the rpm on koji with perl 5.16, but it failed.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4200689

DProf.c:852:13: error: static declaration of 'XS_Devel__DProf_END' follows non-static declaration
DProf.xs:107:6: note: previous declaration of 'XS_Devel__DProf_END' was here
make: *** [DProf.o] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.GtpqcN (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.GtpqcN (%build)
    Child return code was: 1
    EXCEPTION: Command failed. See logs for output.

It is reported bug (https://rt.cpan.org/Public/Bug/Display.html?id=70629). Po


The BR perl(Test::More) is missing (t/release-pod-syntax.t line 8)

Please fix the build error and BR and provides new spec file.
Package NOT approved.
Comment 2 Petr Pisar 2012-06-27 11:32:31 EDT
Thanks for testing. Updated package is on the same address.
Comment 3 Jitka Plesnikova 2012-06-28 03:15:20 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Generated by fedora-review 0.2.0git
External plugins:


Package approved.
Comment 4 Petr Pisar 2012-06-28 03:29:47 EDT
New Package SCM Request
=======================
Package Name: perl-Devel-DProf
Short Description: Deprecated Perl code profiler
Owners: ppisar jplesnik mmaslano psabata
Branches: 
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2012-06-28 08:12:46 EDT
Git done (by process-git-requests).
Comment 6 Petr Pisar 2012-06-28 08:39:48 EDT
Thank you for the review and the repository.

This package will be built into f18-perl only and merged into f18 together with perl 5.16.
Comment 7 Petr Pisar 2012-06-29 03:27:34 EDT
Built in f18-perl.
Comment 8 Petr Pisar 2012-07-12 11:37:22 EDT
Merged to F18.

Note You need to log in before you can comment on or make changes to this bug.